## libosinfo 0.0.4

=== debian/changelog ===
libosinfo (0.0.4-2) experimental; urgency=low

  * [62490ca] Make the dev package depend on the gir package.
    Thanks to Jeremy Bicha

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Jan 2012 21:39:19 +0100

libosinfo (0.0.4-1) experimental; urgency=low

  * Initial release (Closes: #649780)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 11 Jan 2012 14:36:48 +0100

## libosinfo 1.8.0

=== meson_options.txt ===
option('enable-gtk-doc',
    type: 'boolean',
    value: true,
    description: 'Enable generating te API reference'
)

option('enable-introspection',
    type: 'feature',
    value: 'auto',
    yield: true,
    description: 'Enable GObject Introspection'
)

option('enable-tests',
    type: 'boolean',
    value: true,
    description: 'Enable test suite'
)

option('enable-vala',
    type: 'feature',
    value: 'auto',
    yield: true,
    description: 'Enable Vala bindings'
)

option('with-pci-ids-path',
    type: 'string',
    value: '',
    description: 'Location of pci.ids database'
)

option('with-usb-ids-path',
    type: 'string',
    value: '',
    description: 'Location of usb.ids database'
)

## libosinfo 0.0.5

=== debian/changelog ===
libosinfo (0.0.5-1) experimental; urgency=low

  * New upstream version 0.0.5

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jan 2012 17:30:46 +0100

=== debian/control ===
Source: libosinfo
Section: libs
Priority: extra
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: autoconf,
 automake,
 autotools-dev,
 check,
 debhelper (>= 8.0.0),
 gobject-introspection,
 gnome-common,
 gtk-doc-tools,
 libglib2.0-bin,
 libglib2.0-dev,
 libgirepository1.0-dev,
 libxml2-dev,
 valac-0.14
Standards-Version: 3.9.2
Homepage: https://fedorahosted.org/libosinfo/
Vcs-Git: git://git.debian.org/git/pkg-libvirt/libosinfo.git
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libosinfo.git

Package: libosinfo-1.0-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hwdata
Description: Library for managing information about operating systems and hypervisors
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It includes a database containing device metadata and
 provides APIs to match/identify optimal devices for deploying an
 operating system on a hypervisor.
 .
 Via the GObject Introspection, the API is available in all common
 programming languages.
 .
 This package contains the shared library.

Package: libosinfo-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for managing information about operating systems and hypervisors
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It includes a database containing device metadata and
 provides APIs to match/identify optimal devices for deploying an
 operating system on a hypervisor.
 .
 Via the GObject Introspection, the API is available in all common
 programming languages.
 .
 This package contains the runtime files.

Package: libosinfo-1.0-0-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 libosinfo-1.0-0 (=${binary:Version})
Description: libosinfo debugging information.
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It includes a database containing device metadata and
 provides APIs to match/identify optimal devices for deploying an
 operating system on a hypervisor.
 .
 This package contains the debugging symbols.

Package: libosinfo-1.0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libosinfo-1.0-0 (=${binary:Version}),
 gir1.2-libosinfo-1.0 (=${binary:Version})
Description: libosinfo development files
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It includes a database containing device metadata and
 provides APIs to match/identify optimal devices for deploying an
 operating system on a hypervisor.
 .
 This package contains the development headers and Vala bindings.

Package: gir1.2-libosinfo-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for libosinfo.
 This package contains introspection data for the libosinfo library.
 .
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It includes a database containing device metadata and
 provides APIs to match/identify optimal devices for deploying an
 operating system on a hypervisor.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## libosinfo 0.1.0

=== debian/changelog ===
libosinfo (0.1.0-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * [7d2cd26] Use dots at the end of the short description

  [ Guido Günther ]
  * New upstream version (Closes: #663122)
  * [18b4441] Add watch file

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Mar 2012 19:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libosinfo-1.0-0 (=${binary:Version})
-Description: libosinfo debugging information.
+Description: libosinfo debugging information
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
  can support. It includes a database containing device metadata and
@@ -84,7 +84,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Description: GObject introspection data for libosinfo.
+Description: GObject introspection data for libosinfo
  This package contains introspection data for the libosinfo library.
  .
  libosinfo is a GObject based library API for managing information about

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --prefix=/usr \
		--enable-introspection \
		--enable-vala \
		--enable-udev

override_dh_installudev:
	cp debian/tmp/lib/udev/rules.d/95-osinfo.rules \
				debian/libosinfo-bin.osinfo.udev
	dh_installudev -plibosinfo-bin --name osinfo --priority 95

override_dh_strip:
	dh_strip -plibosinfo-1.0-0 --dbg-package=libosinfo-1.0-0-dbg
	dh_strip -plibosinfo-bin --dbg-package=libosinfo-1.0-0-dbg

override_dh_makeshlibs:
	dh_makeshlibs
	dh_girepository

## libosinfo 0.1.1

=== debian/changelog ===
libosinfo (0.1.1-1) unstable; urgency=low

  * New upstream version (Closes: #670846)
  * [7c97cb9] Only invoke dh_auto_clean if a Makefile exists
  * [79ac455] Require libsoup-gnome2.4-dev
  * [31f8897] Require libxml2-utils for the tests
  * [7c84d7e] Update patches
  * [86ec570] Update symbols file
  * [cc0d097] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 May 2012 08:33:52 +0200

libosinfo (0.1.0-3) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Apr 2012 12:30:16 +0200

libosinfo (0.1.0-2) experimental; urgency=low

  * [883b6ab] Add symbols file (Closes: #668433)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Apr 2012 08:53:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,11 @@
  libglib2.0-bin,
  libglib2.0-dev,
  libgirepository1.0-dev,
+ libsoup-gnome2.4-dev,
  libxml2-dev,
+ libxml2-utils,
  valac-0.14
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://fedorahosted.org/libosinfo/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libosinfo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libosinfo.git

=== debian/rules ===
--- 
+++ 
@@ -37,3 +37,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs
 	dh_girepository
+
+override_dh_auto_clean:
+	[ ! -f Makefile ] || dh_auto_clean

## libosinfo 0.2.0

=== debian/changelog ===
libosinfo (0.2.0-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1045565)
  * debian/control:
    - Add build-depends on dh-autoreconf
    - Add build-depends on libxslt1-dev
  * debian/rules:
    - Use dh-autoreconf
  * debian/libosinfo-1.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2012 10:29:48 +1200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  autotools-dev,
  check,
  debhelper (>= 8.0.0),
+ dh-autoreconf,
  gobject-introspection,
  gnome-common,
  gtk-doc-tools,
@@ -16,6 +17,7 @@
  libsoup-gnome2.4-dev,
  libxml2-dev,
  libxml2-utils,
+ libxslt1-dev,
  valac-0.14
 Standards-Version: 3.9.3
 Homepage: https://fedorahosted.org/libosinfo/

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,9 @@
 export DH_OPTIONS
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	./autogen.sh
 	dh_auto_configure -- --prefix=/usr \
 		--enable-introspection \
 		--enable-vala \

## libosinfo 0.2.1

=== debian/changelog ===
libosinfo (0.2.1-1) experimental; urgency=low

  * New Upstream version 0.2.1 (Closes: #691117)
  * [286339e] Update patches
  * [d71540b] Add libxslt-dev dependency
  * [158e678] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Oct 2012 13:44:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  autotools-dev,
  check,
  debhelper (>= 8.0.0),
- dh-autoreconf,
  gobject-introspection,
  gnome-common,
  gtk-doc-tools,
@@ -17,7 +16,7 @@
  libsoup-gnome2.4-dev,
  libxml2-dev,
  libxml2-utils,
- libxslt1-dev,
+ libxslt-dev,
  valac-0.14
 Standards-Version: 3.9.3
 Homepage: https://fedorahosted.org/libosinfo/

## libosinfo 0.2.6

=== debian/changelog ===
libosinfo (0.2.6-0.1) experimental; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Imported Upstream version 0.2.6
  * Drop patch for pci/usb-ids-path and use configure arguments instead
  * Don't run ./autogen.sh before configure, not shipped anymore.
  * Drop creation of pci.ids and usb.ids symlinks
  * Add ln-destdir.patch to create *.ids symlinks in correct place
  * Add dh-autoreconf to rebuild Makefiles after patching
  * Update libosinfo-1.0-0.symbols
  * Change valac-0.14 build-dependency to valac (Closes: #675658)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 27 Mar 2013 10:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  autotools-dev,
  check,
  debhelper (>= 8.0.0),
+ dh-autoreconf,
  gobject-introspection,
  gnome-common,
  gtk-doc-tools,
@@ -17,7 +18,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt-dev,
- valac-0.14
+ valac
 Standards-Version: 3.9.3
 Homepage: https://fedorahosted.org/libosinfo/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libosinfo.git

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,17 @@
 %:
 	dh $@ --with autoreconf
 
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- autoreconf
+
+autoreconf:
+	autoreconf -f -i
+	intltoolize -f
+
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr \
+		--with-usb-ids-path=/usr/share/misc/usb.ids \
+		--with-pci-ids-path=/usr/share/misc/pci.ids \
 		--enable-introspection \
 		--enable-vala \
 		--enable-udev

## libosinfo 0.2.7

=== debian/changelog ===
libosinfo (0.2.7-1) unstable; urgency=low

  * Upload to unstable
  * [e3c2f67] Update symbols file
  * [f73730d] Drop ln-destdir.patch applied upstream
  * [f11a0a8] Use vala >= 0.20 (Closes: #709720)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 May 2013 17:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  autotools-dev,
  check,
  debhelper (>= 8.0.0),
- dh-autoreconf,
  gobject-introspection,
  gnome-common,
  gtk-doc-tools,
@@ -18,7 +17,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt-dev,
- valac
+ valac (>= 0.20)
 Standards-Version: 3.9.3
 Homepage: https://fedorahosted.org/libosinfo/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libosinfo.git

## libosinfo 0.2.9

=== debian/changelog ===
libosinfo (0.2.9-1) unstable; urgency=medium

  * New upstream version (Closes: #738861)
  * [a37c81c] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2014 12:32:27 +0100

libosinfo (0.2.8-1) unstable; urgency=low

  * New upstream version (Closes: #724553)
  * [35ef4ea] Update symbols
  * [ef528e9] Depend on pciutils and usbutils
    instead of hwdata now that the hwdata uses {pci,usb}utils data instead
    of providing its own. (Closes: #721407)
  * [a9ccd54] Name debian packaging branch debian/sid as proposed in the gbp
    manual.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Oct 2013 13:15:10 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 Package: libosinfo-1.0-0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hwdata
+Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, usbutils
 Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they

=== debian/rules ===
--- 
+++ 
@@ -16,16 +16,10 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf debian/rules -- autoreconf
-
-autoreconf:
-	autoreconf -f -i
-	intltoolize -f
+	dh $@
 
 override_dh_auto_configure:
+	./autogen.sh
 	dh_auto_configure -- --prefix=/usr \
 		--with-usb-ids-path=/usr/share/misc/usb.ids \
 		--with-pci-ids-path=/usr/share/misc/pci.ids \

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/i/libosinfo/libosinfo-(\d.*).tar.gz

## libosinfo 0.2.11

=== debian/changelog ===
libosinfo (0.2.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761767.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:41:04 +0000

libosinfo (0.2.11-1) unstable; urgency=medium

  * New upstream version (Closes: #762987)
  * [3c63e75] Bump symbol versions
  * [c19118a] Bump standards version to 3.9.5
  * [b79ec78] Add README.source
  * [aa11c42] Use dpkg-buildflags to get the proper hardening flags

 -- Guido Günther <agx@sigxcpu.org>  Sat, 27 Sep 2014 12:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: autoconf,
  automake,
  autotools-dev,
+ libtool-bin,
  check,
  debhelper (>= 8.0.0),
  gobject-introspection,
@@ -18,7 +19,7 @@
  libxml2-utils,
  libxslt-dev,
  valac (>= 0.20)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://fedorahosted.org/libosinfo/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libosinfo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libosinfo.git

## libosinfo 0.2.12

=== debian/changelog ===
libosinfo (0.2.12-2ubuntu3) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 22:17:02 +0100

libosinfo (0.2.12-2ubuntu2) xenial; urgency=medium

  * debian/patches/update-ubuntu-info.patch:
    + Derive from the previous release, not the same one. (LP: #1531722)
    + Fix short name typos

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 11 Jan 2016 16:24:06 +0000

libosinfo (0.2.12-2ubuntu1) xenial; urgency=medium

  * updated-ubuntu-info.patch: update Ubuntu releases.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Dec 2015 12:44:35 -0500

libosinfo (0.2.12-2) unstable; urgency=medium

  * Upload to unstable (Closes: #801684)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 14 Oct 2015 05:43:02 -0400

libosinfo (0.2.12-1) experimental; urgency=medium

  * New upstream version
  * [f12b63f] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Aug 2015 23:29:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libosinfo
 Section: libs
 Priority: extra
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: autoconf,
  automake,
  autotools-dev,
@@ -26,6 +27,8 @@
 
 Package: libosinfo-1.0-0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, usbutils
 Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
@@ -56,6 +59,7 @@
 
 Package: libosinfo-1.0-0-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libosinfo-1.0-0 (=${binary:Version})
@@ -70,6 +74,7 @@
 
 Package: libosinfo-1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libosinfo-1.0-0 (=${binary:Version}),
  gir1.2-libosinfo-1.0 (=${binary:Version})
@@ -84,6 +89,7 @@
 
 Package: gir1.2-libosinfo-1.0
 Architecture: any
+Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,16 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/default.mk
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	./autogen.sh
 	dh_auto_configure -- --prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-usb-ids-path=/usr/share/misc/usb.ids \
 		--with-pci-ids-path=/usr/share/misc/pci.ids \
 		--enable-introspection \

## libosinfo 0.3.1

=== debian/changelog ===
libosinfo (0.3.1-5) unstable; urgency=medium

  * [93359f7] Fix a typo in the replaces line.
    Thanks to Andreas Beckmann (Closes: #829422)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Jul 2016 19:36:19 +0200

libosinfo (0.3.1-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * [a9141ff] Have build-test autopkgtest depend on build-essential
  * [d762ae0] Have libosinfo-dev depend on libglib2.0-dev (Closes: #829639)
  * [2457cbb] Point Vcs-Browser to cgit

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 Jul 2016 10:22:44 +0200

libosinfo (0.3.1-3) unstable; urgency=medium

  * [070f0f7] Unbreak build on arch != amd64.
    The hardcoded path is no good if we use dh_install --fail-missing
    afterwards. (Closes: #829495)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Jul 2016 23:52:26 +0200

libosinfo (0.3.1-2) unstable; urgency=medium

  [ Michael Biebl ]
  * [e95a02d] Move Breaks/Replaces to libosinfo-db (Closes: #829423)

  [ Guido Günther ]
  * [5418a86] programs and tests are GPLv2 licensed
  * [5ea9df4] Bump debhelper dependency to 9 to multiarch
  * [1448876] Make libosinfo-db arch any

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Jul 2016 10:28:45 +0200

libosinfo (0.3.1-1) unstable; urgency=medium

  * [9abe446] New upstream version 0.3.1
  * [871f311] watch: Add signature verifiation
  * [1991a68] Switch back to tarballs

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Jul 2016 19:58:32 +0200

libosinfo (0.3.0-3) unstable; urgency=medium

  * [a9a31e7] Move database files into separate package and install
    translations (Closes: #825009)
  * [a3c4034] Fail if we don't install all files

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 May 2016 16:13:43 +0200

libosinfo (0.3.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [19e7318] Bump debhelper compatibility to 9 and multiarchify the library
    packages.  Thanks to Matthias Klose <doko@debian.org> (Closes: #812921)

  [ Guido Günther ]
  * [7940355] Drop unneeded Pre-Depends
  * [ffd3171] Drop debug package
  * [59e011a] Fix Vcs-Browser URL
  * [cf6b1ca] Build and install API documentation
  * [00acc87] Add autopkg build-test
  * [8edbebd] Test invocation of osinfo-install-script as well

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 May 2016 09:30:36 +0200

libosinfo (0.3.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * [48a0ce3] Drop udev rule handling since the rule is superflous and was
    dropped upstream
  * [6417d53] Add simple autopkg smoke test

  [ Laurent Bigonville ]
  * [6402871] debian/libosinfo-bin.install: Install the manpages
  * [9f0c857] debian/rules: Use the gir sequence instead of overriding
    dh_makeshlibs
  * [fbdca7a] debian/control: Update the Homepage URL (Closes: #824988)
  * [389324b] debian/rules: Drop --enable-udev flag, doesn't exist anymore
  * [b8a5a7a] debian/control: Update the Vcs-* URL's to please lintian
  * [c741c20] debian/control: Bump Standards-Version to 3.9.8 (no further
    changes)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 May 2016 08:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libosinfo
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: autoconf,
  automake,
  autotools-dev,
  libtool-bin,
  check,
- debhelper (>= 8.0.0),
+ debhelper (>= 9),
  gobject-introspection,
  gnome-common,
  gtk-doc-tools,
@@ -20,16 +19,16 @@
  libxml2-utils,
  libxslt-dev,
  valac (>= 0.20)
-Standards-Version: 3.9.5
-Homepage: https://fedorahosted.org/libosinfo/
-Vcs-Git: git://git.debian.org/git/pkg-libvirt/libosinfo.git
-Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libosinfo.git
+Standards-Version: 3.9.8
+Homepage: https://libosinfo.org/
+Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libosinfo.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-libvirt/libosinfo.git
 
 Package: libosinfo-1.0-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, usbutils
+Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, usbutils,
+ libosinfo-db (>= ${source:Version})
 Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
@@ -57,27 +56,27 @@
  .
  This package contains the runtime files.
 
-Package: libosinfo-1.0-0-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libosinfo-1.0-0 (=${binary:Version})
-Description: libosinfo debugging information
+Package: libosinfo-db
+Architecture: all
+Replaces: libosinfo-1.0-0 (<< 0.3.0-3~)
+Breaks: libosinfo-1.0-0 (<< 0.3.0-3~)
+Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
  can support. It includes a database containing device metadata and
  provides APIs to match/identify optimal devices for deploying an
  operating system on a hypervisor.
  .
- This package contains the debugging symbols.
+ This package contains database files describing operating systems and
+ hardware.
 
 Package: libosinfo-1.0-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libosinfo-1.0-0 (=${binary:Version}),
- gir1.2-libosinfo-1.0 (=${binary:Version})
+ gir1.2-libosinfo-1.0 (=${binary:Version}),
+ libglib2.0-dev
 Description: libosinfo development files
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they

=== debian/rules ===
--- 
+++ 
@@ -19,30 +19,21 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@
+	dh $@ --with gir
 
 override_dh_auto_configure:
-	./autogen.sh
+	[ -f ./configure ] || ./autogen.sh
 	dh_auto_configure -- --prefix=/usr \
-		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-usb-ids-path=/usr/share/misc/usb.ids \
 		--with-pci-ids-path=/usr/share/misc/pci.ids \
 		--enable-introspection \
 		--enable-vala \
-		--enable-udev
-
-override_dh_installudev:
-	cp debian/tmp/lib/udev/rules.d/95-osinfo.rules \
-				debian/libosinfo-bin.osinfo.udev
-	dh_installudev -plibosinfo-bin --name osinfo --priority 95
-
-override_dh_strip:
-	dh_strip -plibosinfo-1.0-0 --dbg-package=libosinfo-1.0-0-dbg
-	dh_strip -plibosinfo-bin --dbg-package=libosinfo-1.0-0-dbg
-
-override_dh_makeshlibs:
-	dh_makeshlibs
-	dh_girepository
+		--enable-gtk-doc \
+		$(NULL)
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || dh_auto_clean
+
+override_dh_install:
+	rm -f debian/tmp/usr/lib/*/libosinfo-1.0.la
+	dh_install --fail-missing

## libosinfo 1.0.0

=== debian/changelog ===
libosinfo (1.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * [292a8ab] Fix Breaks/Replaces.
    Thanks to Andreas Beckmann (Closes: #842060)
  * [a979083] Re-enable test suite.  We have osinfo-db in the archive now. Add
    necessary build-deps for that.
  * [059a0b6] Turn on all hardening flags
  * [1b3d04b] loader: Fix typo in error message
  * [e5e2fb8] d/control: Improve description a bit

 -- Guido Günther <agx@sigxcpu.org>  Sat, 05 Nov 2016 14:08:20 +0100

libosinfo (1.0.0-1) experimental; urgency=medium

  * [ec1ceb9] New upstream version 1.0.0
  * [49b298c] Update README.source
  * [aa221ba] Drop libosinfo-db package and use the now split out osinfo-db
  * [de23113] Disable internal test suite until we have osinfo-db in the
    archive

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Oct 2016 14:58:58 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,11 @@
  libxml2-dev,
  libxml2-utils,
  libxslt-dev,
- valac (>= 0.20)
+ valac (>= 0.20),
+# for test-isodetect
+ osinfo-db,
+ pciutils,
+ usbutils,
 Standards-Version: 3.9.8
 Homepage: https://libosinfo.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libosinfo.git
@@ -28,7 +32,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, usbutils,
- libosinfo-db (>= ${source:Version})
+ osinfo-db
+Suggests: libosinfo-l10n
 Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
@@ -44,31 +49,29 @@
 Package: libosinfo-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Library for managing information about operating systems and hypervisors
+Description: Tools for querying the osinfo database via libosinfo
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
  can support. It includes a database containing device metadata and
  provides APIs to match/identify optimal devices for deploying an
  operating system on a hypervisor.
  .
- Via the GObject Introspection, the API is available in all common
- programming languages.
- .
- This package contains the runtime files.
+ This package contains the runtime files to detect operating systems and query
+ the database.
 
-Package: libosinfo-db
+Package: libosinfo-l10n
 Architecture: all
-Replaces: libosinfo-1.0-0 (<< 0.3.0-3~)
-Breaks: libosinfo-1.0-0 (<< 0.3.0-3~)
-Description: Library for managing information about operating systems and hypervisors
+Depends: ${misc:Depends}
+Replaces: libosinfo-db (<< 1.0.0~)
+Breaks: libosinfo-db (<< 1.0.0~)
+Description: Translations for libosinfo
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
  can support. It includes a database containing device metadata and
  provides APIs to match/identify optimal devices for deploying an
  operating system on a hypervisor.
  .
- This package contains database files describing operating systems and
- hardware.
+ This package contains the libosinfo translations.
 
 Package: libosinfo-1.0-dev
 Architecture: any

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
  https://fedorahosted.org/releases/l/i/libosinfo/libosinfo-(\d.*).tar.gz

## libosinfo 1.1.0

=== debian/changelog ===
libosinfo (1.1.0-1) unstable; urgency=medium

  * [349b18f] Upstream moved from fedorahosted to pagure
  * [0dfd210] Use vcs-upstream-tag
  * [4921ed0] libtool is sufficient no need for libtool-bin.
    Thanks to Helmut Grohne (Closes: #871703)
  * [c501be8] Drop loader-Fix-typo-in-error-message.patch: applied upstream
  * [911d9a3] Bump sumbols
  * [764448c] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sat, 19 Aug 2017 23:01:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: autoconf,
  automake,
  autotools-dev,
- libtool-bin,
+ libtool,
  check,
  debhelper (>= 9),
  gobject-introspection,
@@ -23,7 +23,7 @@
  osinfo-db,
  pciutils,
  usbutils,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://libosinfo.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libosinfo.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-libvirt/libosinfo.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk

=== debian/tests/control ===
Tests: smoke
Depends: libosinfo-bin
Restrictions: allow-stderr

Tests: build-test.mk
Depends: libosinfo-1.0-dev, build-essential
Restrictions: allow-stderr

## libosinfo 1.2.0

=== debian/changelog ===
libosinfo (1.2.0-1) unstable; urgency=medium

  * d/control: swith VCS-* URLs to salsa
  * New upstream version (Closes: #908983)
  * d/control: Drop build-dep libsoup-gnome-2.4.
    Thanks to Jeremy Bicha
  * d/control: Switch to priority optional
  * d/copyright: Avoid duplicate license paragraph
  * d/control: Bump standards version
  * debian/copyright: Fix upstream URL.
    Project moved to gitlab.
    Thanks to Jeremy Bicha
  * d/control: Move l10n package to localization section

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Sep 2018 10:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libosinfo
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: autoconf,
  automake,
@@ -14,7 +14,6 @@
  libglib2.0-bin,
  libglib2.0-dev,
  libgirepository1.0-dev,
- libsoup-gnome2.4-dev,
  libxml2-dev,
  libxml2-utils,
  libxslt-dev,
@@ -23,10 +22,10 @@
  osinfo-db,
  pciutils,
  usbutils,
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://libosinfo.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libosinfo.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-libvirt/libosinfo.git
+Vcs-Git: https://salsa.debian.org/libvirt-team/libosinfo.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/libosinfo
 
 Package: libosinfo-1.0-0
 Architecture: any
@@ -64,6 +63,7 @@
 Depends: ${misc:Depends}
 Replaces: libosinfo-db (<< 1.0.0~)
 Breaks: libosinfo-db (<< 1.0.0~)
+Section: localization
 Description: Translations for libosinfo
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
  https://releases.pagure.org/libosinfo/libosinfo-(\d.*).tar.gz

## libosinfo 1.4.0

=== debian/changelog ===
libosinfo (1.4.0-0ubuntu2) disco; urgency=medium

  Cherry-pick upstream patches (on their requests)
  * git_media-Fix-usage-of-application-id.patch:
    Media: Fix usage of application
    This patch would cause some medias to not be recognized, the ones
    relying on application id for that.
  * git_loader-Properly-load-the-arch-value-for-images.patch:
    Loader: Properly load the arch value for images
    This patch allows images to be loaded by libosinfo, it's needed for
    any distro that will be using any osinfo-db version released from now
    on. Mind that even if your distro doesn't plan to update osinfo-db,
    users can still update it by themselves using osinfo-db-tools.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Apr 2019 08:33:33 +0200

libosinfo (1.4.0-0ubuntu1) disco; urgency=medium

  * New upstream release (LP: #1820986)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Mar 2019 11:35:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libosinfo
 Section: libs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: autoconf,
  automake,
  autotools-dev,

## libosinfo 1.6.0

=== debian/changelog ===
libosinfo (1.6.0-1) unstable; urgency=medium

  * New upstream version fixes CVE-2019-13313
    (Closes: #931479)
  * [b4df8dd] Drop all patches.  Applied upstream.
  * [92ccbf9] Buil-dep on libsoup-2.4
  * [1084c9f] Bump symbol versions
  * [023849f] Adjust autopkgtest to osinfo entry.
    The name in osinfo-db switched from "Debian Jessie" to "Debian 8"

 -- Guido Günther <agx@sigxcpu.org>  Sun, 28 Jul 2019 18:57:56 +0200

libosinfo (1.4.0-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream versio 1.4.0
    (Closes: #923789)
  * d/gbp.conf: Switch to experimental
  * Minimize existing signing key and add new one
  * Unbreak arch parsing application id usage
    - loader-Properly-load-the-arch-value-for-images.patch
    - media-Fix-usage-of-application-id.patch
    Thanks to Fabiano Fidêncio
  * d/control: Bump osinfo-db build-dep.
    We need a newer version for the tests
  * Drop failing haiku test
  * Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 15 Apr 2019 16:39:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libosinfo
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: autoconf,
  automake,
  autotools-dev,
@@ -15,12 +14,13 @@
  libglib2.0-bin,
  libglib2.0-dev,
  libgirepository1.0-dev,
+ libsoup2.4-dev,
  libxml2-dev,
  libxml2-utils,
  libxslt-dev,
  valac (>= 0.20),
 # for test-isodetect
- osinfo-db,
+ osinfo-db (>= 0.20190411),
  pciutils,
  usbutils,
 Standards-Version: 4.2.1

## libosinfo 1.7.1

=== debian/changelog ===
libosinfo (1.7.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Sep 2020 14:45:31 -0700

libosinfo (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
    Closes: #953628
  * [626293c] d/watch: Use xz compression
  * [02d3ec9] d/rules: Adjust for meson
  * [1466f23] d/copyright: Remove trailing white space
  * [1f6a12c] Ignore files in debian/ in tests
  * [c2dd066] Install vapi deps as well
  * [a3885f1] Bump symbol verions
  * [0918426] Add salsa-ci
  * [d8b2521] Switch to meson

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Mar 2020 22:21:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: libosinfo
 Section: libs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: autoconf,
- automake,
- autotools-dev,
- libtool,
- check,
- debhelper (>= 9),
- gobject-introspection,
- gnome-common,
- gtk-doc-tools,
- libglib2.0-bin,
- libglib2.0-dev,
- libgirepository1.0-dev,
- libsoup2.4-dev,
- libxml2-dev,
- libxml2-utils,
- libxslt-dev,
- valac (>= 0.20),
-# for test-isodetect
- osinfo-db (>= 0.20190411),
- pciutils,
- usbutils,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends: check,
+               debhelper (>= 9),
+               gnome-common,
+               gobject-introspection,
+               gtk-doc-tools,
+               libgirepository1.0-dev,
+               libglib2.0-bin,
+               libglib2.0-dev,
+               libsoup2.4-dev,
+               libtool,
+               libxml2-dev,
+               libxml2-utils,
+               libxslt-dev,
+               meson,
+               osinfo-db (>= 0.20190411),
+               pciutils,
+               usbutils,
+               valac (>= 0.20)
 Standards-Version: 4.2.1
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/libosinfo.git
@@ -31,8 +29,7 @@
 Package: libosinfo-1.0-0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, usbutils,
- osinfo-db
+Depends: osinfo-db, pciutils, usbutils, ${misc:Depends}, ${shlibs:Depends}
 Suggests: libosinfo-l10n
 Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
@@ -48,7 +45,7 @@
 
 Package: libosinfo-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Tools for querying the osinfo database via libosinfo
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
@@ -78,9 +75,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libosinfo-1.0-0 (=${binary:Version}),
- gir1.2-libosinfo-1.0 (=${binary:Version}),
- libglib2.0-dev
+Depends: gir1.2-libosinfo-1.0 (=${binary:Version}),
+         libglib2.0-dev,
+         libosinfo-1.0-0 (=${binary:Version}),
+         ${misc:Depends}
 Description: libosinfo development files
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
@@ -94,9 +92,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: GObject introspection data for libosinfo
  This package contains introspection data for the libosinfo library.
  .

=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,12 @@
 	dh $@ --with gir
 
 override_dh_auto_configure:
-	[ -f ./configure ] || ./autogen.sh
-	dh_auto_configure -- --prefix=/usr \
-		--with-usb-ids-path=/usr/share/misc/usb.ids \
-		--with-pci-ids-path=/usr/share/misc/pci.ids \
-		--enable-introspection \
-		--enable-vala \
-		--enable-gtk-doc \
+	dh_auto_configure -- \
+		-Dwith-usb-ids-path=/usr/share/misc/usb.ids \
+		-Dwith-pci-ids-path=/usr/share/misc/pci.ids \
+		-Denable-introspection=enabled \
+		-Denable-vala=enabled \
+		-Denable-gtk-doc=true \
 		$(NULL)
 
 override_dh_auto_clean:
@@ -38,3 +37,6 @@
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/libosinfo-1.0.la
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: smoke
Depends: libosinfo-bin
Restrictions: allow-stderr

Tests: build-test.mk
Depends: build-essential, libosinfo-1.0-dev
Restrictions: allow-stderr

## libosinfo 1.8.0

=== debian/changelog ===
libosinfo (1.8.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream version 1.8.0
  * Unbreak tests trying to check debian/

  [Laurent Bigonville]
  * d/control: Switch from pciutils and usbitils to pci.ids and usb.ids
    Closes: #815418, #944502

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Jan 2021 19:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: libosinfo
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: check,
-               debhelper (>= 9),
-               gnome-common,
-               gobject-introspection,
-               gtk-doc-tools,
-               libgirepository1.0-dev,
-               libglib2.0-bin,
-               libglib2.0-dev,
-               libsoup2.4-dev,
-               libtool,
-               libxml2-dev,
-               libxml2-utils,
-               libxslt-dev,
-               meson,
-               osinfo-db (>= 0.20190411),
-               pciutils,
-               usbutils,
-               valac (>= 0.20)
+Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends:
+ libtool,
+ check,
+ debhelper (>= 9),
+ gobject-introspection,
+ gnome-common,
+ gtk-doc-tools,
+ libglib2.0-bin,
+ libglib2.0-dev,
+ libgirepository1.0-dev,
+ libsoup2.4-dev,
+ libxml2-dev,
+ libxml2-utils,
+ libxslt-dev,
+ meson,
+ valac (>= 0.20),
+# for test-isodetect
+ osinfo-db (>= 0.20190411),
+ pci.ids,
+ usb.ids,
 Standards-Version: 4.2.1
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/libosinfo.git
@@ -29,7 +30,8 @@
 Package: libosinfo-1.0-0
 Architecture: any
 Multi-Arch: same
-Depends: osinfo-db, pciutils, usbutils, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, pci.ids, usb.ids,
+ osinfo-db
 Suggests: libosinfo-l10n
 Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
@@ -45,7 +47,7 @@
 
 Package: libosinfo-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Tools for querying the osinfo database via libosinfo
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
@@ -75,10 +77,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-libosinfo-1.0 (=${binary:Version}),
-         libglib2.0-dev,
-         libosinfo-1.0-0 (=${binary:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends}, libosinfo-1.0-0 (=${binary:Version}),
+ gir1.2-libosinfo-1.0 (=${binary:Version}),
+ libglib2.0-dev
 Description: libosinfo development files
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
@@ -92,7 +93,9 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: GObject introspection data for libosinfo
  This package contains introspection data for the libosinfo library.
  .

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
  https://releases.pagure.org/libosinfo/libosinfo-(\d.*).tar.xz

## libosinfo 1.10.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 option('enable-gtk-doc',
     type: 'boolean',
     value: true,
-    description: 'Enable generating te API reference'
+    description: 'Enable generating the API reference'
 )
 
 option('enable-introspection',

=== debian/changelog ===
libosinfo (1.10.0-2+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 09 Aug 2022 17:52:21 +0000

libosinfo (1.10.0-2) unstable; urgency=medium

  * [0d5f097] Mark autopkgtests as superficial
  * [cc1bda6] Cherry-pick patch to allow building against libsoup3
  * [ce57ef8] Build against libsoup3
  * [0bcba33] Add versioned Breaks against gnome-boxes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Aug 2022 15:57:21 -0400

libosinfo (1.10.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release (Closes: #971827)
  * [2660342] debian/upstream/signing-key.asc: Update
  * [7cbd745] Set Maintainer to libvirt team
  * [b95be2b] Build-Depend on debhelper-compat 13
  * [fd7dde5] Set Standards-Version to 4.6.0
  * [1c5fc10] libosinfo-1.0-0: Depend on libosinfo-l10n (Closes: #843506)
  * Miscellaneous packaging cleanup

  [ Debian Janitor ]
  * [2b9a3d2] Use versioned copyright format URI
  * [a09b634] Re-export upstream signing key without extra signatures
  * [5330941] Set upstream metadata fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 14:16:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: libosinfo
 Section: libs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
- libtool,
- check,
- debhelper (>= 9),
- gobject-introspection,
- gnome-common,
+ debhelper-compat (= 13),
+ dh-sequence-gir,
  gtk-doc-tools,
  libglib2.0-bin,
  libglib2.0-dev,
  libgirepository1.0-dev,
- libsoup2.4-dev,
+ libsoup-3.0-dev,
  libxml2-dev,
  libxml2-utils,
  libxslt-dev,
@@ -22,7 +20,8 @@
  osinfo-db (>= 0.20190411),
  pci.ids,
  usb.ids,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/libosinfo.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libosinfo
@@ -31,8 +30,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, pci.ids, usb.ids,
+ libosinfo-l10n (>= ${source:Version}),
  osinfo-db
-Suggests: libosinfo-l10n
+Breaks: gnome-boxes (<< 42.3)
 Description: Library for managing information about operating systems and hypervisors
  libosinfo is a GObject based library API for managing information about
  operating systems, hypervisors and the (virtual) hardware devices they
@@ -94,7 +94,6 @@
 Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Description: GObject introspection data for libosinfo
  This package contains introspection data for the libosinfo library.

=== debian/rules ===
#!/usr/bin/make -f


export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Denable-gtk-doc=true \
		-Dlibsoup-abi='3.0' \
		-Dwith-usb-ids-path=/usr/share/misc/usb.ids \
		-Dwith-pci-ids-path=/usr/share/misc/pci.ids \
		$(NULL)

override_dh_auto_test:
	echo testsuite disabled.
